> This page is for Alfa (Preview).

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alfa.boosted.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alfa.boosted.ai/_mcp/server.

# Get Thread Progress

GET https://sandbox.api.boosted.ai/v2/threads/{thread_id}/progress

Get the current progress status of a thread task.

This endpoint returns the progress information for a thread, including whether there is
an active task running, the current status, and any progress indicators. Useful for thread state management
when the SSE streaming connection was closed or not currently pushing new updates.

Reference: https://docs.alfa.boosted.ai/alfa-preview/threads-api/reference/threads/get-thread-progress-v-2-threads-thread-id-progress-get

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 access token obtained via token exchange.

## Request

### Path parameters

- `thread_id` (string, required)

## Response

### 200

Successful Response

- `progress_data` (ThreadProgressData, optional, nullable) — Data model for thread progress cache, storing both log message and task ID.

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### ThreadProgressData

Data model for thread progress cache, storing both log message and task ID.

- `log` (string, optional, nullable)
- `status` (enum, optional, nullable)
  - Allowed values: `Complete`, `Cancelling`, `Thinking`

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "progress_data": {
    "log": "string",
    "status": "Complete"
  }
}
```

**SDK Code**

```python
import requests

url = "https://sandbox.api.boosted.ai/v2/threads/thread_id/progress"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sandbox.api.boosted.ai/v2/threads/thread_id/progress';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.api.boosted.ai/v2/threads/thread_id/progress"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sandbox.api.boosted.ai/v2/threads/thread_id/progress")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.api.boosted.ai/v2/threads/thread_id/progress")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.api.boosted.ai/v2/threads/thread_id/progress', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sandbox.api.boosted.ai/v2/threads/thread_id/progress");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.api.boosted.ai/v2/threads/thread_id/progress")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```